%define anolis_release 1
Summary:    Programs for accessing MS-DOS disks without mounting the disks
Name:       mtools
Version:    4.0.42
Release:    %{anolis_release}%{?dist}
License:    GPLv3+
Source0:    ftp://ftp.gnu.org/gnu/mtools/mtools-%{version}.tar.bz2
Url:        https://www.gnu.org/software/mtools/

Patch0:     0001-remove-sample-in-mtools-conf-file.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: texinfo, autoconf

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 XDF disks, and 2m disks

Mtools should be installed if you need to use MS-DOS disks

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-floppyd
%make_build

%install
%make_install
install -D -m644 mtools.conf %{buildroot}%{_sysconfdir}/%{name}.conf

# We aren't shipping this.
find $RPM_BUILD_ROOT -name "floppyd*" -exec rm {} \;

ln -s mtools.5 %{buildroot}%{_mandir}/man5/mtools.conf.5

%generate_compatibility_deps

%files
%dir %{abidir}
%config(noreplace) %{_sysconfdir}/mtools.conf
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list
%{_mandir}/*/*
%{_infodir}/mtools.info*

%files doc
%doc README Release.notes

%changelog
* Tue Dec 20 2022 Funda Wang <fundawang@yeah.net> - 4.0.42-1
- New version 4.0.42

* Fri Nov 25 2022 mgb01105731 <mgb01105731@alibaba0inc.com> - 4.0.38-3
- remove SAMPLE in mtools.conf file

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.0.38-2
- optimise spec file & add doc package

* Mon Apr 18 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 4.0.38-1
- Init package from upstream v4.0.38
